USB_ANCHOR_SUSPEND_W(9)

NAME
usb_anchor_suspend_wakeups -

SYNOPSIS

void usb_anchor_suspend_wakeups(struct usb_anchor * anchor);

ARGUMENTS

anchor
    the anchor you want to suspend wakeups on

DESCRIPTION

Call this to stop the last urb being unanchored from waking up any usb_wait_anchor_empty_timeout waiters. This is used in the hcd urb give- back path to delay waking up until after the completion handler has run.

COPYRIGHT